Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455924 - new networkmanager build cannot write dhcp config files
Summary: new networkmanager build cannot write dhcp config files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-18 19:43 UTC by drago01
Modified: 2008-08-03 08:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-03 08:45:58 UTC


Attachments (Terms of Use)

Description drago01 2008-07-18 19:43:04 UTC
Description of problem:
I updated to NetworkManager-0.7.0-0.11.svn3830.fc9.x86_64 from koji.
While running it I noticed this avc:
type=1400 audit(1216409357.095:4): avc:  denied  { read } for  pid=2867
comm="dhclient" name="nm-dhclient-wlan0.conf" dev=sda2 ino=7766972
scontext=system_u:system_r:dhcpc_t:s0
tcontext=system_u:object_r:NetworkManager_var_run_t:s0 tclass=file

Seems like NM wants to store the file here now but the policy prevents it from
doing so.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.3.1-78.fc9.noarch

How reproducible:
Always

Steps to Reproduce:
1. install new nm build
2. bring app a connection which uses dhcp
3. notice the avc
  
Actual results:
avc, cannot write file

Expected results:
no avc, nm should be allowed to write this file.

Additional info:

Comment 1 Dan Williams 2008-07-19 18:05:25 UTC
New NM writes out composite dhclient config files to handle
dhcp-client-identifier and hostname.  It'll use
"/var/run/nm-dhclient-<interface>.conf" as a template.  Blocking these will only
affect NM when the user needs to send a DHCP client identifier and/or send the
DNS hostname to the DHCP server, but this should generally be allowed.

Comment 2 Dan Williams 2008-07-19 18:06:06 UTC
This functionality will get pushed to F8, F9, and rawhide too FYI.

Comment 3 Daniel Walsh 2008-07-25 13:22:04 UTC
Fixed in selinux-policy-3.3.1-80.fc9.noarch
Fixed in selinux-policy-3.0.8-112.fc8
Fixed in selinux-policy-3.5.1-2.fc10

Comment 4 drago01 2008-08-03 08:45:58 UTC
Works fine now, thanks for the fixes.


Note You need to log in before you can comment on or make changes to this bug.